Ticket #30321

LL Hook時に正しくフック出来ないキーを救う

Open Date: 2012-12-15 21:38 Last Update: 2013-07-03 22:39

Reporter:
Owner:
(None)
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
6
Severity:
6
Resolution:
Fixed
File:
None

Details

YAMYの場合には、NLSKeyProbremで書かれているように、正しくフックできないキーを救おうとしているが これと同じか同等のものを、のどかでもサポートしてほしいというもの。

特定のキーが正しくフックできない問題(チケット#17575)についての調査・検討メモ http://sourceforge.jp/projects/yamy/wiki/NLSKeyProblem

別の手段では下記 ZeniSynthのように、kbdzsjpn.dllを使う方式もある。

ZeniSynth のインストール方法 http://sourceforge.jp/projects/zenisynth/howto/install

Ticket History (3/4 Histories)

2012-12-15 21:38 Updated by: applet
  • New Ticket "LL Hook時に正しくフック出来ないキーを救う" created
2013-05-05 18:58 Updated by: applet
  • Severity Update from 5 - Medium to 6
2013-05-05 18:59 Updated by: applet
  • Priority Update from 5 - Medium to 6
2013-07-03 22:39 Updated by: applet
  • Ticket Close date is changed to 2013-07-03 22:39
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

4.24にて、YAMYからコードを移植しました。

YAMYの実装と異なる部分
 - のどか起動時の引数 -nで指定する。起動時引数は -k -n となるでしょう。
 - キーの押しっぱなしが発生しやすいので、画面のロック時やスリープ時には無効化されません。

YAMYの実装と同じ部分
 - のどか起動時に管理者権限が必要です。
 - 対応キー 半角/全角(`), 英数(CapsLock), ひらがな, 無変換。 となります。既にScancodeMapによって該当キーが置き換えられている場合には変更しません。
 - のどかの起動時にScancodeMap変更機能が有効にされたあと、のどかの終了時、一時停止時に無効化されます。Windowsのユーザの切り替え時、リモートデスクトップにて接続された時にも、一時的に無効化されます

 

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login